g_{\mu\nu} & = \begin{pmatrix} -A(r)c^2 & 0 & 0 & 0 \\
0 & B(r) & 0 & 0 \\
0 & 0 & r^2 & 0 \\
0 & 0 & 0 & r^2 sin^2(\theta) \end{pmatrix} && \textrm{ansatz} \\
\\
g^{\mu\nu} & = \begin{pmatrix} -\frac{1}{A(r)c^2} & 0 & 0 & 0 \\
0 & \frac{1}{B(r)} & 0 & 0 \\
0 & 0 & \frac{1}{r^2} & 0 \\
0 & 0 & 0 & \frac{1}{r^2 sin^2(\theta)} \end{pmatrix} && \textrm{inverse ansatz} \\
\Downarrow && \\
\Gamma\indices{^0_{\mu\nu}} & = \begin{pmatrix} 0 & -\frac{1}{2}\frac{\partial_r{A(r)}}{A(r)} & 0 & 0 \\
-\frac{1}{2}\frac{\partial_r{A(r)}}{A(r)} & 0 & 0 & 0 \\
0 & 0 & 0 & 0 \\
0 & 0 & 0 & 0 \end{pmatrix} && \\
\Gamma\indices{^1_{\mu\nu}} & = \begin{pmatrix} -\frac{1}{2}\frac{\partial_r{A(r)}}{A(r)} & 0 & 0 & 0 \\
0 & -\frac{1}{2}\frac{\partial_r{B(r)}}{B(r)} & 0 & 0 \\
0 & 0 & \frac{r}{B(r)} & 0 \\
0 & 0 & 0 & \frac{r}{B(r)} sin^2(\theta) \end{pmatrix} && \\
\Gamma\indices{^2_{\mu\nu}} & = \begin{pmatrix} 0 & 0 & 0 & 0 \\
0 & 0 & -\frac{1}{r} & 0 \\
0 & -\frac{1}{r} & 0 & 0 \\
0 & 0 & 0 & cos(\theta)sin(\theta) \end{pmatrix} && \\
\Gamma\indices{^3_{\mu\nu}} & = \begin{pmatrix} 0 & 0 & 0 & 0 \\
0 & 0 & -\frac{1}{r} & 0 \\
0 & 0 & 0 & -\frac{cos(\theta)}{sin{\theta}} \\
0 & -\frac{1}{r} & -\frac{cos(\theta)}{sin{\theta}} & 0 \end{pmatrix} && \\
